Issue 12687 - Missing linker mapfiles for dynamically loaded libraries
Missing linker mapfiles for dynamically loaded libraries
Status: CLOSED FIXED
Product: Installation
Classification: Application
Component: code
644
All All
: P3 trivial (vote)
: OOo 1.1 Beta2
Assigned To: dirk.voelzke
issues@installation
:
Depends on:
Blocks: 11945
  Show dependency treegraph
 
Reported: 2003-03-26 18:49 UTC by matthias.huetsch
Modified: 2003-09-08 16:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description matthias.huetsch 2003-03-26 18:49:29 UTC
Hi Dirk,

Several dynamically loaded shared libraries delivered by module 'setup2'
fail to provide (symbol scoping) linker mapfiles.

For a detailed description see the 'meta task' issue 11945.

Affected are the following libraries:

libjvm644ss.so	(installation/setup2/source/custom/jvmsetup)
libmig644ss.so	(installation/setup2/source/custom/moffice)
libregmimetypes644ss.so	(installation/setup2/source/custom/regmimetypes)
libtplx644ss.so	(installation/setup2/source/custom/tplsetup)
libusp644ss.so	(installation/setup2/source/custom/update)

Module 'setup2' has already been added to 'cws_srx644_tune01', were this issue
shall be fixed.

Thanks,
Matthias
Comment 1 matthias.huetsch 2003-03-26 18:50:54 UTC
Added tentative target milestone 'OOo 1.1 Beta2' and dependency to
meta task 11945.
Comment 2 dirk.voelzke 2003-03-31 08:53:32 UTC
.
Comment 3 dirk.voelzke 2003-04-03 12:19:41 UTC
fixed in cws tune01
Comment 4 matthias.huetsch 2003-04-15 09:58:12 UTC
Verified...
Comment 5 matthias.huetsch 2003-04-29 13:05:38 UTC
Verified integration into SRX644/m12s1